@import url("https://fonts.googleapis.com/css?family=Nunito:300,400,500,600,700&display=swap");

@font-face {
    font-family: jinglei;
    src: url('../fonts/xjlFont.eot') format('embedded-opentype'),
        url('../fonts/xjlFont.woff2') format("woff2"),
        url('../fonts/xjlFont.woff') format("woff"),
        url('../fonts/xjlFont.ttf') format("truetype"),
        url('../fonts/xjlFont.svg') format("svg");
}

body,
html {
    position: relative;
    min-height: 100%;
    margin: 0;
    height: 100%;
    font-family: "Nunito", sans-serif;
    overflow-x: hidden !important;
    font-size: 1rem;
    color: #212529;
    background-color: #ffffff;
}

.root-area {
    position: relative;
    height: 100%;
    overflow: hidden;
}

main {
    height: 100%;
    width: 100%;
    padding-top: 5%;
    padding-bottom: 5%;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    background: url('../images/bg-portfolio.jpg') center center;
    background-size: cover;
    -ms-flex-item-align: center;
    align-self: center;
    position: relative;
    background-position: center center;
}

footer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 5%;
}

h1 {
    font-family: var(--bs-font-sans-serif);
    line-height: 1.4;
    font-weight: 600;
}

::-moz-selection {
    background: rgba(47, 85, 212, 0.9);
    color: #ffffff;
}

::selection {
    background: rgba(47, 85, 212, 0.9);
    color: #ffffff;
}

a {
    text-decoration: none !important;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

p {
    line-height: 1.6;
}

#topnav {
    position: fixed;
    right: 0;
    left: 0;
    top: 0;
    z-index: 999;
    background-color: transparent;
    border: 0;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#topnav .logo {
    float: left;
    color: #212529 !important;
}

#topnav .logo .logo-light-mode {
    display: inline-block;
}

#topnav .logo:focus {
    outline: none;
}

@media (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
}

.row>* {
    position: relative;
}

.logo {
    font-weight: 700;
    font-size: 24px;
    margin-right: 15px;
    padding: 0 0 6px;
    letter-spacing: 1px;
    line-height: 68px;
}

@media (max-width: 991px) {
    #topnav {
        min-height: 74px;
    }

    #topnav .container {
        width: auto;
    }
}

.bg-overlay {
    background-color: rgba(255, 255, 255, 0.5);
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

.title-heading {
    line-height: 26px;
}

.title-heading .para-desc {
    font-size: 18px;
}

.para-desc {
    max-width: 600px;
}

button:not(:disabled) {
    outline: 0;
}